#!/bin/bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

ROOT_DIR=$(dirname $(dirname $(dirname $SCRIPT_DIR)))

echo "Building dropshell from $ROOT_DIR"

docker build -t dropshell_alpine_builder -context $ROOT_DIR-f $SCRIPT_DIR/Dockerfile $SCRIPT_DIR

rm -rf $SCRIPT_DIR/output
mkdir -p $SCRIPT_DIR/output
docker run -it -v $SCRIPT_DIR/output:/output dropshell_alpine_builder 

chown $USER:$USER $SCRIPT_DIR/output/dropshell
chmod og-w $SCRIPT_DIR/output/dropshell

echo "dropshell built in $SCRIPT_DIR/output/dropshell"
